Subject: Re: linux-next: build failure after merge of the final tree (tty tree related)

From: Greg KH <[email-masked]>
Date: Mon, 28 Oct 2013 09:33:33 -0700

On Mon, Oct 28, 2013 at 09:05:37AM -0700, Sören Brinkmann wrote:
> On Tue, Oct 29, 2013 at 01:33:17AM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the final tree, today's linux-next build (powerpc
> > allyesconfig) failed like this:
> > 
> > drivers/tty/serial/xilinx_uartps.c: In function 'xuartps_clk_notifier_cb':
> > drivers/tty/serial/xilinx_uartps.c:436:7: error: 'PRE_RATE_CHANGE' undeclared (first use in this function)
> >   case PRE_RATE_CHANGE:
> >        ^
> > drivers/tty/serial/xilinx_uartps.c:436:7: note: each undeclared identifier is reported only once for each function it appears in
> > drivers/tty/serial/xilinx_uartps.c:446:36: error: dereferencing pointer to incomplete type
> >    if (!xuartps_calc_baud_divs(ndata->new_rate, xuartps->baud,
> >                                     ^
> > drivers/tty/serial/xilinx_uartps.c:461:7: error: 'POST_RATE_CHANGE' undeclared (first use in this function)
> >   case POST_RATE_CHANGE:
> >        ^
> > drivers/tty/serial/xilinx_uartps.c:470:24: error: dereferencing pointer to incomplete type
> >    port->uartclk = ndata->new_rate;
> >                         ^
> > drivers/tty/serial/xilinx_uartps.c:475:7: error: 'ABORT_RATE_CHANGE' undeclared (first use in this function)
> >   case ABORT_RATE_CHANGE:
> >        ^
> > drivers/tty/serial/xilinx_uartps.c: In function 'xuartps_probe':
> > drivers/tty/serial/xilinx_uartps.c:1385:2: error: implicit declaration of function 'clk_notifier_register' [-Werror=implicit-function-declaration]
> >   if (clk_notifier_register(xuartps_data->refclk,
> >   ^
> > drivers/tty/serial/xilinx_uartps.c:1418:2: error: implicit declaration of function 'clk_notifier_unregister' [-Werror=implicit-function-declaration]
> >   clk_notifier_unregister(xuartps_data->refclk,
> >   ^
> > 
> > Caused by commits in the tty tree.
> > 
> > I have left this broken for today.
> 
> I already sent a series to Greg which should fix the x86 build of the
> tty tree. I think he didn't apply those patches yet.

Yes, I have them, sorry, been traveling, will get to them later today...

thanks,

greg k-h